• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

install lightroom classic

New Here ,
Jan 28, 2023 Jan 28, 2023

Copy link to clipboard

Copied

i have MacBook Air version Sierra (13.11.6)

i want to install lightroom classic, but it says its not compatible.

how can i dowload compatible version to my MacBook?

 

TOPICS
macOS

Views

118

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Participant ,
Jan 28, 2023 Jan 28, 2023

Copy link to clipboard

Copied

I'm a Windows user, and don't keep up on Mac operating systems. So I am not sure where you stand with yours. However, here are the published minimum system requirements from Adobe:

Screenshot 2023-01-28 215201.jpg

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Jan 28, 2023 Jan 28, 2023

Copy link to clipboard

Copied

LATEST

Sierra is a very old Mac operating system (first released in 2016). 

 

Which MacBook Air are you running exactly (About This Mac)? Can it be upgraded to a more modern macOS?

 

The last version of Lightroom Classic supported on this operating system was CC 2019.

 

You can download the CC 2019 installer from

https://prodesigntools.com/adobe-cc-2019-direct-download-links.html

 

 

 

 

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines